#include<stdio.h>

int sazimanje(int n);
int obrtanje(int n);

int main()
{
	unsigned int n, x;

	scanf("%d", &n);

	x= obrtanje(n);

	printf("%d\n", x);

	return 0;
}

int sazimanje(int n)
{
	int x=0;

	while(n>0)
		{
		if(x%10 != n%10)
			x= x*10 + n%10;
		n= n/10;
		}
	return x;
}

int obrtanje(int n)
{
	int x=0;

	n= sazimanje(n);

	while(n>0)
		{
		x= x*10 + n%10;
		n= n/10;
		}
	return x;
}
